Bug 448362 - No Visual indication when battery status is critical. abrupt shutdown resulted in USB drive corruption issues
No Visual indication when battery status is critical. abrupt shutdown resulte...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-26 04:59 EDT by Ravi Srinivasan
Modified: 2009-07-14 12:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:14:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 135548 None None None Never

  None (edit)
Description Ravi Srinivasan 2008-05-26 04:59:25 EDT
Description of problem:

My HP nw8000 laptop's power cord accidentally disconnected without my knowledge.
when battery exhausted, laptop abruptly shutdown with no visual notification.
Sure, the little battery icon in the GNOME top right corner has a marker for
plugged in or not but it wasn't flashing or blinking to distract me:-). Expect
something along the lines of a warning message "save you work now! system
shutting down"


Version-Release number of selected component (if applicable):
 Fedora 9 with latest updates as of 26 May. default GNOME 2.22

How reproducible:

Observe laptop screen at critical battery levels. no visual warnings , messages etc

Steps to Reproduce:
1.
2.
3.
  
Actual results:

abrupt shutdown with no warning

Expected results:

Some sort of warning like "hey dummy!. save your work. system going down now!".
even something like "switching to battery now" would have caught my attention
and make me check my power cord


Additional info:

HP nw8000 with Pent M, ati mobility radeon 9600, acpi,
Comment 1 Rene Wagner 2008-07-21 17:10:55 EDT
I believe this caused by a bug or a malfunctioning feature in
gnome-power-manager. Bug #445927 describes a similar issue (but mixed with
potentially
defective hardware).

On my newly installed Fedora 9 system gnome-power-manager correctly detects a 
low battery situation but then decides not to execute the corresponding action 
(warning + suspend/powerdown). At this point the debug log states: 

"profile is not accurate. Not doing policy action"

This happens independently of how the various related gconf keys are set. 
Unfortunately, this is also true for 'use_time_for_policy' which, if false, I 
would expect to render the battery profile irrelevant.

In Ubuntu this is tracked in Launchpad #135548:

https://bugs.launchpad.net/ubuntu/+source/gnome-power-manager/+bug/135548

A proposed patch
(https://bugs.launchpad.net/ubuntu/+source/gnome-power-manager/+bug/135548/comments/89)
makes gnome-power-manager fall back to percentage based decisions while a new 
battery profile is built during the course of a certain number of apparently 
required learning cycles.

I'm not sure whether the patch is ready for direct inclusion, but it appears to
be a step in the right direction and fixes the problem for me. I can make an 
i686 RPM with the patch included available if requested.
Comment 2 Richard Hughes 2009-06-03 03:59:39 EDT
Can you try installing https://admin.fedoraproject.org/updates/F11/FEDORA-2009-5740 and https://admin.fedoraproject.org/updates/F11/FEDORA-2009-5728 and then reboot please.
Comment 3 Bug Zapper 2009-06-09 21:11:41 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 12:14:02 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.